<?php

$wp_customize->add_section(
	'lawman_blog_featured',
	array(
		'title' => esc_html__( 'Featured', 'lawman-blog' ),
		'panel' => 'lawman_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_blog_featured',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'

	)
);

$wp_customize->add_control(
	'lawman_blog_featured',
	array(
		'section'		=> 'lawman_blog_featured',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'post' => esc_html__( 'Post', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_featured_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Featured Posts', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_featured_title',
	array(
		'section'		=> 'lawman_blog_featured',
		'label'			=> esc_html__( 'Title:', 'lawman-blog' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_featured_title', 
	array(
        'selector'            => '#blog-featured-posts .section-title',
		'render_callback'     => 'lawman_blog_featured_partial_title',
	) 
);

for ($i=1; $i <= 3 ; $i++) { 

	$wp_customize->add_setting(
		'lawman_blog_featured_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_blog_featured_post_'.$i,
		array(
			'section'		=> 'lawman_blog_featured',
			'label'			=> esc_html__( 'Post ', 'lawman-blog' ).$i,
			'active_callback' => 'lawman_blog_if_featured_active',
			'type'			=> 'select',
			'choices'		=> lawman_get_post_choices(),
		)
	);

}
