<?php

$wp_customize->add_section(
	'lawman_blog_latest',
	array(
		'title' => esc_html__( 'Latest', 'lawman-blog' ),
		'panel' => 'lawman_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_blog_latest',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_blog_latest',
	array(
		'section'		=> 'lawman_blog_latest',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'cat' => esc_html__( 'Category', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_latest_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'latest Posts', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_latest_title',
	array(
		'section'		=> 'lawman_blog_latest',
		'label'			=> esc_html__( 'Title:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_latest_active',

	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_latest_title', 
	array(
        'selector'            => '#blog-latest-posts .section-title',
		'render_callback'     => 'lawman_blog_latest_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_blog_latest_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Continue Reading', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_latest_btn_title',
	array(
		'section'		=> 'lawman_blog_latest',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_latest_active',

	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_latest_btn_title', 
	array(
        'selector'            => '#blog-latest-posts .section-content .read-more a',
		'render_callback'     => 'lawman_blog_latest_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'lawman_blog_latest_num',
	array(
		'sanitize_callback' => 'lawman_sanitize_number_range',
		'default' => 3,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_blog_latest_num',
	array(
		'section'		=> 'lawman_blog_latest',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Min: 3 | Max: 9', 'lawman-blog' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
		'active_callback' => 'lawman_blog_if_latest_active',

	)
);

$wp_customize->add_setting(
	'lawman_blog_latest_cat',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_blog_latest_cat',
	array(
		'section'		=> 'lawman_blog_latest',
		'label'			=> esc_html__( 'Category:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_latest_active',
		'type'			=> 'select',
		'choices'		=> lawman_get_post_cat_choices(),
	)
);
