<?php

$wp_customize->add_section(
	'lawman_blog_popular',
	array(
		'title' => esc_html__( 'Popular', 'lawman-blog' ),
		'panel' => 'lawman_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_blog_popular',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_blog_popular',
	array(
		'section'		=> 'lawman_blog_popular',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'cat' => esc_html__( 'Category', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_popular_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'popular Posts', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_popular_title',
	array(
		'section'		=> 'lawman_blog_popular',
		'label'			=> esc_html__( 'Title:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_popular_active',

	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_popular_title', 
	array(
        'selector'            => '#blog-popular-posts .section-title',
		'render_callback'     => 'lawman_blog_popular_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_blog_popular_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View All popular Post', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_popular_btn_title',
	array(
		'section'		=> 'lawman_blog_popular',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_popular_active',

	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_popular_btn_title', 
	array(
        'selector'            => '#blog-popular-posts .read-more a',
		'render_callback'     => 'lawman_blog_popular_partial_btn_title',
	) 
);


$wp_customize->add_setting(
	'lawman_blog_popular_num',
	array(
		'sanitize_callback' => 'lawman_sanitize_number_range',
		'default' => 2,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_blog_popular_num',
	array(
		'section'		=> 'lawman_blog_popular',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Min: 2 | Max: 12', 'lawman-blog' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 2, 'max' => 12 ),
		'active_callback' => 'lawman_blog_if_popular_active',

	)
);

$wp_customize->add_setting(
	'lawman_blog_popular_cat',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_blog_popular_cat',
	array(
		'section'		=> 'lawman_blog_popular',
		'label'			=> esc_html__( 'Category:', 'lawman-blog' ),
		'active_callback' => 'lawman_blog_if_popular_active',
		'type'			=> 'select',
		'choices'		=> lawman_get_post_cat_choices(),
	)
);
