<?php

$wp_customize->add_section(
	'lawman_blog_suscribe',
	array(
		'title' => esc_html__( 'Subscribe', 'lawman-blog' ),
		'panel' => 'lawman_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_blog_suscribe',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_blog_suscribe',
	array(
		'section'		=> 'lawman_blog_suscribe',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'active' => esc_html__( 'Active', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_suscribe_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Join Our Weekly Free Newsletter', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_suscribe_title',
	array(
		'section'		=> 'lawman_blog_suscribe',
		'label'			=> esc_html__( 'Title:', 'lawman-blog' ),
		'active_callback'	=> 'lawman_blog_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_suscribe_title', 
	array(
        'selector'            => '#blog_subscribe_us_section .section-title',
		'render_callback'     => 'lawman_blog_subscribe_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_blog_suscribe_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Subscribe Now!', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_suscribe_sub_title',
	array(
		'section'		=> 'lawman_blog_suscribe',
		'label'			=> esc_html__( 'Sub Title:', 'lawman-blog' ),
		'active_callback'	=> 'lawman_blog_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_suscribe_sub_title', 
	array(
        'selector'            => '#blog_subscribe_us_section .section-subtitle',
		'render_callback'     => 'lawman_blog_subscribe_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'lawman_blog_suscribe_content',
	array(
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => esc_html__( 'Life is short. No one wants to fill out a form. Be conversational. Be funny. Gradually engage. Do the unexpected. It is the role of the designer to express their company’s brand to elicit an emotional reaction.</br></br>If done correctly, it will increase completion rates. Just make sure you don’t violate the rules listed above.', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_suscribe_content',
	array(
		'section'		=> 'lawman_blog_suscribe',
		'type'			=> 'textarea',
		'label'			=> esc_html__( 'Content:', 'lawman-blog' ),
		'active_callback'	=> 'lawman_blog_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_blog_suscribe_content', 
	array(
        'selector'            => '#blog_subscribe_us_section-now .section-header p',
		'render_callback'     => 'lawman_blog_subscribe_partial_content',
	) 
);


$wp_customize->add_setting(
	'lawman_blog_suscribe_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Subscribe', 'lawman-blog' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_suscribe_btn_title',
	array(
		'section'		=> 'lawman_blog_suscribe',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-blog' ),
		'active_callback'	=> 'lawman_blog_if_suscribe_active',
	)
);

$wp_customize->add_setting( 'lawman_blog_suscribe_image', array(
	'sanitize_callback' => 'lawman_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lawman_blog_suscribe_image',
		array(
		'label'       		=> esc_html__( 'Background Image', 'lawman-blog' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'lawman-blog' ), 1280, 854 ),
		'section'     		=> 'lawman_blog_suscribe',
		'active_callback'	=> 'lawman_blog_if_suscribe_active',
) ) );