<?php

$featured       = get_theme_mod( 'lawman_blog_featured', 'disable' );
$featured_num	= 3 ;

if ( 'disable' === $featured ) {
	return;
}

$content_details = lawman_get_section_content( 'blog_featured', $featured, $featured_num );

?>

<div id="blog-featured-posts" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_featured_title', __( 'Featured Posts', 'lawman-blog' ) ) ) ; ?></h2>
        </div>

        <div class="blog-section-content clear">
        <?php foreach($content_details as $content): ?>
            <article>
                <div class="blog-featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>');">
                    
                </div>
                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ); ?>                           
                        </span>

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <?php lawman_posted_on( $content['id'] ) ; ?>

                    </div>
            </article>
        <?php endforeach; ?>
        </div>
    </div>
</div>