<?php

$popular       = get_theme_mod( 'lawman_blog_popular', 'disable' );
$popular_num	= get_theme_mod( 'lawman_blog_popular_num', 2 ) ;

if ( 'disable' === $popular ) {
	return;
}

$content_details = lawman_get_section_content( 'blog_popular', $popular, $popular_num );

?>

<div id="blog-popular-posts" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_popular_title', __( 'Popular Posts', 'lawman-blog' ) ) ) ; ?></h2>
        </div>

        <div class="col-2 clear">
            <?php foreach($content_details as $content): ?>

            <article>
                <div class="popular-post-item">
                    <div class="blog-featured-image">
                        <a href="#"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>"></a>
                    </div>

                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ); ?>                           
                        </span>

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <?php lawman_posted_on( $content['id'] ) ; ?>


                        <div class="entry-content">
                            <p><?php echo wp_kses_post( wp_trim_words( $content['content'], get_theme_mod( 'lawman_popular_exerpt', 30) )  ) ; ?></p>
                        </div>

                        <?php if ( !empty( get_theme_mod( 'lawman_popular_btn_title') ) ): ?>
                        <div class="read-more">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                <?php echo esc_html( get_theme_mod( 'lawman_popular_btn_title', __('Read More','lawman-blog') ) ); ?>
                            </a>
                        </div>
                        <?php endif; ?> 

                    </div>
                </div>
            </article>
        <?php endforeach; ?>

        </div>
    </div>
</div>